*,
*::after,
*::before {
    box-sizing: border-box;
}

:root {
    font-size: 16px;
}

body {
    margin: 0;
    --color-text: #fff;
    --color-bg: #000;
    --color-link: #aaa;
    --color-link-hover: #aaa;
    color: var(--color-text);
    background-color: var(--color-bg);
    font-family: 'Oxanium', sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    transition: all 1.5s cubic-bezier(1, 0, 0, 1);
}

body.demo-2 {
    --color-bg: #3e64ff;
    --color-link: #13246d;
    --color-link-hover: #13246d;
}

body.demo-3 {
    --color-bg: #d8345f;
    --color-text: #fff;
    --color-link: #000;
    --color-link-hover: #000;
}

body.demo-4 {
    --color-bg: #f2f3f3;
    --color-text: #888;
    --color-link: #000;
    --color-link-hover: #000;
}


/* Page Loader */

.js .loading::before,
.js .loading::after {
    content: '';
    position: fixed;
    z-index: 1000;
}

.js .loading::before {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--color-bg);
}

.js .loading::after {
    top: 50%;
    left: 50%;
    width: 60px;
    height: 60px;
    margin: -30px 0 0 -30px;
    border-radius: 50%;
    opacity: 0.4;
    background: var(--color-link);
    animation: loaderAnim 0.7s linear infinite alternate forwards;
}

@keyframes loaderAnim {
    to {
        opacity: 1;
        transform: scale3d(0.5, 0.5, 1);
    }
}

a {
    text-decoration: none;
    color: var(--color-link);
    outline: none;
    cursor: pointer;
    transition: color 1.5s cubic-bezier(1, 0, 0, 1);
}

a:hover,
a:focus {
    color: var(--color-link-hover);
    outline: none;
    transition: none;
}

.frame {
    padding: 3rem 5vw;
    text-align: center;
    position: relative;
    z-index: 1000;
}

.frame__title {
    font-size: 1rem;
    margin: 0 0 1rem;
    font-weight: normal;
}

.frame__links {
    display: inline;
}

.frame__links a:not(:last-child),
.frame__demos a:not(:last-child) {
    margin-right: 1rem;
}

.frame__demos {
    margin: 1rem 0;
}

.frame__demo--current,
.frame__demo--current:hover {
    color: var(--color-text);
}

.content {
    display: flex;
    flex-direction: column;
    width: 100vw;
    height: calc(100vh - 13rem);
    position: relative;
    justify-content: flex-start;
    align-items: center;
}

@media screen and (min-width: 53em) {
    .frame {
        position: fixed;
        text-align: left;
        z-index: 100;
        top: 0;
        left: 0;
        display: grid;
        align-content: space-between;
        width: 100%;
        max-width: none;
        height: 100vh;
        padding: 3rem;
        pointer-events: none;
        grid-template-columns: 75% 25%;
        grid-template-rows: auto auto auto;
        grid-template-areas: 'title links' '... ...' '... demos';
    }

    .frame__title-wrap {
        grid-area: title;
        display: flex;
    }

    .frame__title {
        margin: 0;
    }

    .frame__tagline {
        position: relative;
        margin: 0 0 0 1rem;
        padding: 0 0 0 1rem;
        opacity: 0.5;
    }

    .frame__demos {
        margin: 0;
        grid-area: demos;
        justify-self: end;
    }

    .frame__links {
        grid-area: links;
        padding: 0;
        justify-self: end;
    }

    .frame a {
        pointer-events: auto;
    }

    .content {
        height: 100vh;
        justify-content: center;
    }
}

canvas {
    position: fixed;
    top: 0;
    left: 0;
}

.frame_image {
    width: 100%;
    height: 100%;
    margin: 0;
    position: absolute;
    left: 0;
    right: 0;
}

.frame_image::before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    background: #000;
    width: 260px;
    height: 260px;
    border-radius: 300px;
    box-shadow: 0 0 50px 100px #000;
    transform: translate(-50%, -50%);
    opacity: 0.7;
}

.frame_image img {
    display: block;
    width: 100%;
    position: absolute;
    height: auto;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 480px;
}

.background_image {
    width: 100%;
    height: 100%;
    margin: 0;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 0;
    overflow: hidden;
    background: url("../ui/background2.jpg") no-repeat 50% 50% /cover;
}

#header {
    position: absolute;
    left: 50%;
    text-align: center;
    transform: translate(-50%, 0);
    top: 10%;
    width: 100%;
    z-index: 100000;
}

#footer {
    display: block;
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    text-align: center;
    margin: 0 auto;
    bottom: 20%;
    z-index: 100000;
}

.guestsLink {
    display: block;
    text-align: center;
    background: #000;
    color: #fff;
    padding: 24px 24px 22px;
    font-size: 17px;
    border-radius: 46px;
    text-transform: uppercase;
    border: 2px solid #f00;
    line-height: 21px;
    transition: all ease-in-out 0.3s;
    white-space: nowrap;
    letter-spacing: 2px;
    margin: 40px 0 0 0;
}

.guestsLink:hover {
    background: #f00;
    color: #fff;
}

#countDown {
    text-transform: uppercase;
    font-size: 38px;
    color: #f00;
    text-shadow: 1px 1px 3px #000;
    padding: 12px 0 8px;
    border-radius: 8px;
    text-align: center;
    position: relative;
    z-index: 10000;
    width: 320px;
}

#main {
    position: fixed;
    overflow: auto;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100vw;
    height: 100vh;
    z-index: 1;
    display: flex;
    align-items: center;
    /* justify-content: center; */
    flex-flow: column;
    text-align: center;
}

h3,
h1,
p {
    padding: 0;
    margin: 0;
}

h1 {
    font-size: 36px;
}

#backvideo {
    display: flex;
    width: 100%;
    height: auto;
    transform: translate3d(0, -50%, 0);
    top: 50%;
    position: relative;
    opacity: 0.5;
}